export default {
  library: 'base',
  variables: {
    accordion: {
      title_border: '#000',
      content_border: '#000'
    },
    avatar: {
      bg: '#fff',
      default_color: '#000',
      default_border: '#000',
      primary_color: '#000',
      primary_border: '#c8cbdc',
      secondary_color: '#788190',
      secondary_border: '#d5dde7',
      floating_border: '#000',
      floating_bg: '#000',
      floating_color: '#fff'
    },
    breadcrumbs: {
      seperator_color: '#788190'
    },
    // button1: {
    //     primary_contained_bg: '#0a73eb',
    //     primary_contained_color: '#fff',
    //     primary_contained_border: '#0a73eb',
    //     primary_contained_hover_bg: '#0053b8',
    //     primary_contained_hover_border: '#0053b8',
    //     primary_outlined_bg: 'transparent',
    //     primary_outlined_color: '#0a73eb',
    //     primary_outlined_border: '#0a73eb',
    //     primary_outlined_hover_color: '#0053b8',
    //     primary_outlined_hover_border: '#0053b8',
    //     primary_plain_bg: 'transparent',
    //     primary_plain_color: '#0a73eb',
    //     primary_plain_border: 'transparent',
    //     primary_plain_hover_color: '#0053b8',
    //     secondary_contained_bg: '#788190',
    //     secondary_contained_color: '#fff',
    //     secondary_contained_border: '#788190',
    //     secondary_contained_hover_bg: '#5a616f',
    //     secondary_contained_hover_border: '#5a616f',
    //     secondary_outlined_bg: 'transparent',
    //     secondary_outlined_color: '#000',
    //     secondary_outlined_border: '#c8cbdc',
    //     secondary_outlined_hover_border: '#5a616f',
    //     secondary_plain_bg: 'transparent',
    //     secondary_plain_color: '#5a616f',
    //     secondary_plain_border: 'transparent',
    //     secondary_plain_hover_color: '#000',
    //     success_contained_bg: '#26a942',
    //     success_contained_color: '#fff',
    //     success_contained_border: '#26a942',
    //     success_contained_hover_bg: '#0e7526',
    //     success_contained_hover_border: '#0e7526',
    //     success_outlined_bg: 'transparent',
    //     success_outlined_color: '#26a942',
    //     success_outlined_border: '#26a942',
    //     success_outlined_hover_color: '#0e7526',
    //     success_outlined_hover_border: '#0e7526',
    //     success_plain_bg: 'transparent',
    //     success_plain_color: '#26a942',
    //     success_plain_border: 'transparent',
    //     success_plain_hover_color: '#0e7526',
    //     danger_contained_bg: '#de3535',
    //     danger_contained_color: '#fff',
    //     danger_contained_border: '#de3535',
    //     danger_contained_hover_bg: '#ab1a18',
    //     danger_contained_hover_border: '#ab1a18',
    //     danger_outlined_bg: 'transparent',
    //     danger_outlined_color: '#de3535',
    //     danger_outlined_border: '#de3535',
    //     danger_outlined_hover_color: '#ab1a18',
    //     danger_outlined_hover_border: '#ab1a18',
    //     danger_plain_bg: 'transparent',
    //     danger_plain_color: '#de3535',
    //     danger_plain_border: 'transparent',
    //     danger_plain_hover_color: '#ab1a18'
    // },
    buttongroup: {
      danger_border: '#ab1a18',
      success_border: '#0e7526',
      primary_border: '#0053b8',
      secondary_border: '#5a616f'
    },
    calendarview: {
      container_bg: '#fff',
      header_bg: '#f6f8fb',
      header_border: '#788190',
      seperator_border: '#d5dde7',
      daysStr_color: '#788190',
      sunday_color: '#de3535',
      invalidDate_color: '#c8cbdc',
      invalidDate_sunday_color: 'rgba(222, 53, 53, 0.3)',
      downArrow_color: '#788190',
      downArrow_hover_color: '#000',
      text_color: '#5a616f'
    },
    card: {
      primary_border: '#0a73eb',
      primary_hover_shadow: '#0a73eb',
      secondary_border: '#788190',
      secondary_hover_shadow: '#d5dde7',
      success_border: '#26a942',
      success_hover_shadow: '#26a942',
      danger_border: '#de3535',
      danger_hover_shadow: '#de3535'
    },
    checkbox: {
      checkbox_stroke: '#788190',
      disabled_stroke: '#788190',
      primary_stroke: '#0a73eb',
      danger_stroke: '#de3535',
      primary_outline: '#0a73eb',
      danger_outline: '#de3535',
      filled_tickbox_stroke: '#fff',
      filled_tickepath_stroke: '#fff'
    },
    datebox: {
      datesStr_hover_bg: '#ebf0f5',
      danger_color: '#de3535',
      primary_color: '#0a73eb',
      dark_color: '#000',
      secondary_color: '#c8cbdc',
      secondary_hover_color: '#000',
      dangerSecondary_color: 'rgba(222, 53, 53, 0.3)',
      dangerSecondary_hover_color: '#de3535',
      today_bg: '#0a73eb',
      today_color: '#fff'
    },
    datepicker: {
      header_bg: '#f6f8fb',
      header_border: '#788190',
      btnContainer_border: '#d5dde7',
      dropbox_bg: '#fff'
    },
    dialog: {
      container_border: '#d5dde7',
      footer_border: '#d5dde7'
    },
    dropdown: {
      // This file is empty
      container_bg: '#fff'
    },
    freezelayer: {
      default_bg: '#2c334d',
      dark_bg: '#000',
      plain_bg: '#fff'
    },
    link: {
      primary_color: '#0a73eb',
      secondary_color: '#788190',
      success_color: '#26a942',
      danger_color: '#de3535'
    },
    listitem: {
      base_color: '#000',
      disabled_color: '#788190',
      disabled_bg: '#fff',
      primary_hover_bg: '#f1f7fe',
      secondary_hover_bg: '#f6f8fb',
      title_after_bg: '#000',
      highlight_bg: '#f6f8fb',
      active_border: '#0a73eb',
      active_bg: '#f1f7fe',
      listBox_bg: '#fff'
    },
    month: {
      month_bg: '#f6f8fb',
      month_hover_bg: '#c8cbdc',
      currentMonth_bg: '#0a73eb',
      currentMonth_color: '#fff'
    },
    multiselect: {
      clear_color: '#788190',
      placeholder_color: '#c8cbdc',
      optionContainer_bg: '#fff',
      optionContainer_border: '#000',
      disabled_border: '#d5dde7',
      arrow_color: '#788190',
      primary_plain_color: '#000',
      primary_plain_border: 'transparent',
      primary_plain_bg: 'transparent',
      primary_plain_hover_color: '#000',
      primary_plain_hover_border: 'transparent',
      primary_plain_hover_bg: 'transparent',
      primary_flushed_color: '#000',
      primary_flushed_border: '#0a73eb',
      primary_flushed_bg: 'transparent',
      primary_flushed_hover_color: '#000',
      primary_flushed_hover_border: '#0053b8',
      primary_flushed_hover_bg: 'transparent',
      primary_outlined_color: '#000',
      primary_outlined_border: '#0a73eb',
      primary_outlined_bg: 'transparent',
      primary_outlined_hover_color: '#000',
      primary_outlined_hover_border: '#0053b8',
      primary_outlined_hover_bg: 'transparent',
      primary_contained_color: '#fff',
      primary_contained_border: '#0a73eb',
      primary_contained_bg: '#0a73eb',
      primary_contained_hover_color: '#fff',
      primary_contained_hover_border: '#0053b8',
      primary_contained_hover_bg: '#0053b8',
      secondary_plain_color: '#000',
      secondary_plain_border: 'transparent',
      secondary_plain_bg: 'transparent',
      secondary_plain_hover_color: '#000',
      secondary_plain_hover_border: 'transparent',
      secondary_plain_hover_bg: 'transparent',
      secondary_flushed_color: '#000',
      secondary_flushed_border: '#788190',
      secondary_flushed_bg: 'transparent',
      secondary_flushed_hover_color: '#000',
      secondary_flushed_hover_border: '#5a616f',
      secondary_flushed_hover_bg: 'transparent',
      secondary_outlined_color: '#000',
      secondary_outlined_border: '#788190',
      secondary_outlined_bg: 'transparent',
      secondary_outlined_hover_color: '#000',
      secondary_outlined_hover_border: '#5a616f',
      secondary_outlined_hover_bg: 'transparent',
      secondary_contained_color: '#fff',
      secondary_contained_border: '#788190',
      secondary_contained_bg: '#788190',
      secondary_contained_hover_color: '#fff',
      secondary_contained_hover_border: '#5a616f',
      secondary_contained_hover_bg: '#5a616f',
      danger_plain_color: '#000',
      danger_plain_border: 'transparent',
      danger_plain_bg: 'transparent',
      danger_plain_hover_color: '#000',
      danger_plain_hover_border: 'transparent',
      danger_plain_hover_bg: 'transparent',
      danger_flushed_color: '#000',
      danger_flushed_border: '#de3535',
      danger_flushed_bg: 'transparent',
      danger_flushed_hover_color: '#000',
      danger_flushed_hover_border: '#ab1a18',
      danger_flushed_hover_bg: 'transparent',
      danger_outlined_color: '#000',
      danger_outlined_border: '#de3535',
      danger_outlined_bg: 'transparent',
      danger_outlined_hover_color: '#000',
      danger_outlined_hover_border: '#ab1a18',
      danger_outlined_hover_bg: 'transparent',
      danger_contained_color: '#fff',
      danger_contained_border: '#de3535',
      danger_contained_bg: '#de3535',
      danger_contained_hover_color: '#fff',
      danger_contained_hover_border: '#ab1a18',
      danger_contained_hover_bg: '#ab1a18',
      success_plain_color: '#000',
      success_plain_border: 'transparent',
      success_plain_bg: 'transparent',
      success_plain_hover_color: '#000',
      success_plain_hover_border: 'transparent',
      success_plain_hover_bg: 'transparent',
      success_flushed_color: '#000',
      success_flushed_border: '#26a942',
      success_flushed_bg: 'transparent',
      success_flushed_hover_color: '#000',
      success_flushed_hover_border: '#0e7526',
      success_flushed_hover_bg: 'transparent',
      success_outlined_color: '#000',
      success_outlined_border: '#26a942',
      success_outlined_bg: 'transparent',
      success_outlined_hover_color: '#000',
      success_outlined_hover_border: '#0e7526',
      success_outlined_hover_bg: 'transparent',
      success_contained_color: '#fff',
      success_contained_border: '#26a942',
      success_contained_bg: '#26a942',
      success_contained_hover_color: '#fff',
      success_contained_hover_border: '#0e7526',
      success_contained_hover_bg: '#0e7526',
      highLight_outline: 'rgb(0, 95, 204)',
      highLight_bg: 'transparent'
    },
    notificationbadge: {
      color: '#fff',
      bg: '#de3535'
    },
    pagination: {
      item_border: '#5a616f',
      itemHighlight_bg: '#0a73eb',
      itemHighlight_color: '#fff'
    },
    popup: {
      popup_bg: '#fff',
      default_border: '#788190',
      primary_border: '#0a73eb',
      secondary_border: '#5a616f',
      danger_border: '#de3535',
      success_border: '#26a942'
    },
    radio: {
      primary_outline: '#0a73eb',
      danger_outline: '#de3535',
      button_border: '#788190',
      button_bg: '#fff',
      primary_outer_bg: '#0a73eb',
      primary_outer_border: '#0a73eb',
      primary_outer_before_bg: '#fff',
      primary_outer_hover_border: '#0053b8',
      primary_inner_border: '#0a73eb',
      primary_inner_before_bg: '#0a73eb',
      danger_outer_bg: '#de3535',
      danger_outer_border: '#de3535',
      danger_outer_before_bg: '#fff',
      danger_outer_hover_border: '#ab1a18',
      danger_inner_border: '#de3535',
      danger_inner_before_bg: '#de3535'
    },
    select: {
      placeholder_color: '#c8cbdc',
      disabled_border: '#d5dde7',
      arrow_color: '#788190',
      searchBox_bg: '#fff',
      selectedValue_border: '#d5dde7',
      focus3_bg: '#f6f8fb',
      input_bg: 'transparent',
      input_border: '#d5dde7',
      optioncontainer_shadow: 'rgba(0, 0, 0, 0.13)',
      primary_plain_color: '#000',
      primary_plain_border: 'transparent',
      primary_plain_bg: 'transparent',
      primary_plain_hover_color: '#000',
      primary_plain_hover_border: 'transparent',
      primary_plain_hover_bg: 'transparent',
      primary_flushed_color: '#000',
      primary_flushed_border: '#0a73eb',
      primary_flushed_bg: 'transparent',
      primary_flushed_hover_color: '#000',
      primary_flushed_hover_border: '#0053b8',
      primary_flushed_hover_bg: 'transparent',
      primary_outlined_color: '#000',
      primary_outlined_border: '#0a73eb',
      primary_outlined_bg: 'transparent',
      primary_outlined_hover_color: '#000',
      primary_outlined_hover_border: '#0053b8',
      primary_outlined_hover_bg: 'transparent',
      primary_contained_color: '#fff',
      primary_contained_border: '#0a73eb',
      primary_contained_bg: '#0a73eb',
      primary_contained_hover_color: '#fff',
      primary_contained_hover_border: '#0053b8',
      primary_contained_hover_bg: '#0053b8',
      secondary_plain_color: '#000',
      secondary_plain_border: 'transparent',
      secondary_plain_bg: 'transparent',
      secondary_plain_hover_color: '#000',
      secondary_plain_hover_border: 'transparent',
      secondary_plain_hover_bg: 'transparent',
      secondary_flushed_color: '#000',
      secondary_flushed_border: '#788190',
      secondary_flushed_bg: 'transparent',
      secondary_flushed_hover_color: '#000',
      secondary_flushed_hover_border: '#5a616f',
      secondary_flushed_hover_bg: 'transparent',
      secondary_outlined_color: '#000',
      secondary_outlined_border: '#788190',
      secondary_outlined_bg: 'transparent',
      secondary_outlined_hover_color: '#000',
      secondary_outlined_hover_border: '#5a616f',
      secondary_outlined_hover_bg: 'transparent',
      secondary_contained_color: '#fff',
      secondary_contained_border: '#788190',
      secondary_contained_bg: '#788190',
      secondary_contained_hover_color: '#fff',
      secondary_contained_hover_border: '#5a616f',
      secondary_contained_hover_bg: '#5a616f',
      danger_plain_color: '#000',
      danger_plain_border: 'transparent',
      danger_plain_bg: 'transparent',
      danger_plain_hover_color: '#000',
      danger_plain_hover_border: 'transparent',
      danger_plain_hover_bg: 'transparent',
      danger_flushed_color: '#000',
      danger_flushed_border: '#de3535',
      danger_flushed_bg: 'transparent',
      danger_flushed_hover_color: '#000',
      danger_flushed_hover_border: '#ab1a18',
      danger_flushed_hover_bg: 'transparent',
      danger_outlined_color: '#000',
      danger_outlined_border: '#de3535',
      danger_outlined_bg: 'transparent',
      danger_outlined_hover_color: '#000',
      danger_outlined_hover_border: '#ab1a18',
      danger_outlined_hover_bg: 'transparent',
      danger_contained_color: '#fff',
      danger_contained_border: '#de3535',
      danger_contained_bg: '#de3535',
      danger_contained_hover_color: '#fff',
      danger_contained_hover_border: '#ab1a18',
      danger_contained_hover_bg: '#ab1a18',
      success_plain_color: '#000',
      success_plain_border: 'transparent',
      success_plain_bg: 'transparent',
      success_plain_hover_color: '#000',
      success_plain_hover_border: 'transparent',
      success_plain_hover_bg: 'transparent',
      success_flushed_color: '#000',
      success_flushed_border: '#26a942',
      success_flushed_bg: 'transparent',
      success_flushed_hover_color: '#000',
      success_flushed_hover_border: '#0e7526',
      success_flushed_hover_bg: 'transparent',
      success_outlined_color: '#000',
      success_outlined_border: '#26a942',
      success_outlined_bg: 'transparent',
      success_outlined_hover_color: '#000',
      success_outlined_hover_border: '#0e7526',
      success_outlined_hover_bg: 'transparent',
      success_contained_color: '#fff',
      success_contained_border: '#26a942',
      success_contained_bg: '#26a942',
      success_contained_hover_color: '#fff',
      success_contained_hover_border: '#0e7526',
      success_contained_hover_bg: '#0e7526'
    },
    stencil: {
      primary_bg_1: '#f6f8fb',
      primary_bg_2: '#ebf0f5',
      secondary_bg_1: '#383f57',
      secondary_bg_2: '#475173'
    },
    seperator: {
      seperator_color: '#788190'
    },
    switch: {
      slider_bg: '#5a616f',
      slider_before_bg: '#fff',
      slider_before_shadow: '#788190',
      slider_primary_checked_bg: '#26a942',
      slider_secondary_checked_bg: '#0a73eb',
      slider_focus_shadow: '#26a942'
    },
    tab: {
      tab_color: '#000',
      tabSelect_color: '#0a73eb',
      navLine_bg: '#0a73eb'
    },
    tag: {
      primary_outlined_border: '#0a73eb',
      primary_outlined_color: '#0a73eb',
      primary_outlined_bg: 'transparent',
      primary_contained_border: '#0a73eb',
      primary_contained_color: '#fff',
      primary_contained_bg: '#0a73eb',
      secondary_outlined_border: '#5a616f',
      secondary_outlined_color: '#5a616f',
      secondary_outlined_bg: 'transparent',
      secondary_contained_border: '#5a616f',
      secondary_contained_color: '#fff',
      secondary_contained_bg: '#5a616f',
      success_outlined_border: '#26a942',
      success_outlined_color: '#26a942',
      success_outlined_bg: 'transparent',
      success_contained_border: '#26a942',
      success_contained_color: '#fff',
      success_contained_bg: '#26a942',
      danger_outlined_border: '#de3535',
      danger_outlined_color: '#de3535',
      danger_outlined_bg: 'transparent',
      danger_contained_border: '#de3535',
      danger_contained_color: '#fff',
      danger_contained_bg: '#de3535'
    },
    text: {
      default_color: '#000',
      primary_color: '#0a73eb',
      secondary_color: '#5a616f',
      whiteness_color: '#fff',
      grayness_color: '#788190',
      danger_color: '#de3535',
      success_color: '#26a942',
      info_color: '#ff6f00',
      highlight_color: '#f6b041',
      lighter_color: '#c8cbdc',
      dark_knight_color: '#000',
      whiteness_decoration: '#fff',
      grayness_decoration: '#788190',
      danger_decoration: '#de3535',
      success_decoration: '#26a942',
      info_decoration: '#ff6f00',
      highlight_decoration: '#f6b041',
      lighter_decoration: '#c8cbdc',
      dark_knight_decoration: '#000'
    },
    // textarea1: {
    //     base_border: '#d5dde7',
    //     base_hover_border: '#000',
    //     disabled_hover_border: '#d5dde7',
    //     filled_bg: '#f6f8fb',
    //     filled_hover_bg: '#ebf0f5',
    //     default_border: '#d5dde7',
    //     default_hover_border: '#000',
    //     primary_border: '#0a73eb',
    //     primary_hover_border: '#0053b8',
    //     danger_border: '#de3535',
    //     danger_hover_border: '#ab1a18'
    // },
    // textbox1: {
    //     base_border: '#d5dde7',
    //     filled_bg: '#f6f8fb',
    //     filled_hover_bg: '#ebf0f5',
    //     primary_border: '#0a73eb',
    //     secondary_border: '#d5dde7',
    //     secondary_hover_border: '#000',
    //     danger_border: '#de3535'
    // },
    tooltip: {
      container_shadow: 'rgba(0, 0, 0, 0.16)',
      message_color: '#fff',
      message_bg: '#000'
    },
    year: {
      year_hover_color: '#000',
      yearText_color: '#788190',
      arrow_color: '#788190',
      active_yearText_color: '#000'
    },
    yearview: {
      yearBox_border: '#ebf0f5',
      arrow_color: '#788190',
      arrowActive_color: '#000',
      container_bg: '#fff'
    }
  }
};