import React from "react";
import style from "./Accordion.module.css";
import constantProps from "./Accordion.constantProps";
import accordionPropTypes, { defaultProps, propsDescription } from "./Accordion.propTypes";
export default function AccordionSkeleton(props) {
  let {
    children
  } = props;
  return /*#__PURE__*/React.createElement("div", null, children);
}
AccordionSkeleton.propTypes = accordionPropTypes;
AccordionSkeleton.defaultProps = defaultProps;
AccordionSkeleton.propsDescription = propsDescription;
AccordionSkeleton.constantProps = constantProps;