function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import ListItemBehaviour, { ListBoxBehaviour, ListSectionBehaviour } from "./ListItem.behaviour";
import ListItemSkeleton, { ListBoxSkeleton, ListSectionSkeleton } from "./ListItem.skeleton";
import ListItemPropTypes, { defaultProps, ListSectionPropTypes, ListBoxPropTypes, defaultListSectionProps, defaultListBoxProps, propsDescription, listBoxPropsDescription, listSectionPropsDescription } from "./ListItem.propTypes";
import constantProps from "./ListItem.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function ListItem(props) {
  return /*#__PURE__*/React.createElement(ListItemBehaviour, _extends({}, props, {
    renderComponent: ListItemSkeleton
  }));
}
ListItem.propTypes = ListItemPropTypes;
ListItem.defaultProps = defaultProps;
ListItem.propsDescription = propsDescription;
ListItem.constantProps = constantProps;
export function ListSection(props) {
  return /*#__PURE__*/React.createElement(ListSectionBehaviour, _extends({}, props, {
    renderComponent: ListSectionSkeleton
  }));
}
ListSection.propTypes = ListSectionPropTypes;
ListSection.defaultProps = defaultListSectionProps;
ListSection.propsDescription = listSectionPropsDescription;
export function ListBox(props) {
  return /*#__PURE__*/React.createElement(ListBoxBehaviour, _extends({}, props, {
    renderComponent: ListBoxSkeleton
  }));
}
ListBox.propTypes = ListBoxPropTypes;
ListBox.defaultProps = defaultListBoxProps;
ListBox.propsDescription = listBoxPropsDescription;

if (false) {
  ListItem.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}