import { compileClassNames } from '@zohodesk/utils';
/**
 * container classname based on js state
 * @param {object} props noificationbadge props
 * @param {object} style noificationbadge syle
 * @returns {string} classnames string with space separate
 */

export default function (props, style) {
  let {
    size,
    shape,
    active
  } = props;
  return compileClassNames({
    [style.base]: true,
    [style[size]]: !!size,
    [style[shape]]: !!shape,
    [style.active]: !!active
  });
}