function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import TagSkeleton from "./Tag.skeleton";
import TagBehaviour from "./Tag.behaviour";
import tagPropTypes, { defaultProps, propsDescription } from "./Tag.propTypes";
import constantProps from "./Tag.constantProps";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
export default function Tag(props) {
  return /*#__PURE__*/React.createElement(TagBehaviour, _extends({}, props, {
    renderComponent: TagSkeleton
  }));
}
Tag.propTypes = tagPropTypes;
Tag.defaultProps = defaultProps;
Tag.propsDescription = propsDescription;
Tag.constantProps = constantProps;

if (false) {
  Tag.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}