import { colorList, sizeList } from '@zohodesk/utils/es/constantProps';
export default {
  type: {
    heading: 'heading',
    paragraph: 'paragraph',
    blockquote: 'blockquote'
  },
  level: {
    one: 'level1',
    two: 'level2',
    three: 'level3',
    four: 'level4',
    five: 'level5',
    six: 'level6'
  },
  size: {
    xsmall: 'size_xsmall',
    small: 'size_small',
    medium: 'size_medium',
    large: 'size_large',
    xlarge: 'size_xlarge',
    xxlarge: 'size_xxlarge'
  },
  direction: {
    vertical: 'vertical',
    horizontal: 'horizontal'
  },
  align: {
    right: 'align_right',
    left: 'align_left',
    center: 'align_center'
  },
  weight: {
    xSmall: 'fw_xs',
    small: 'fw_sm',
    medium: 'fw_md',
    large: 'fw_lg',
    xLarge: 'fw_xl',
    bold: 'fw_bold',
    bolder: 'fw_bolder',
    lighter: 'fw_lighter',
    normal: 'fw_normal'
  },
  transform: {
    upperCase: 'uppercase',
    lowerCase: 'lowercase',
    capitalize: 'capitalize'
  },
  color: {
    // ...colorList,
    primary: 'primary',
    secondary: 'secondary',
    default: 'default',
    danger: 'danger',
    success: 'success',
    info: 'info',
    grayness: 'grayness',
    whiteness: 'whiteness',
    lighter: 'lighter',
    highlight: 'highlight',
    darknight: 'dark_knight'
  },
  lineHeight: {
    xSmall: 'textlineheight_xs',
    small: 'textlineheight_sm',
    medium: 'textlineheight_md',
    large: 'textlineheight_lg',
    xLarge: 'textlineheight_xl',
    xxLarge: 'textlineheight_xxl'
  },
  letterSpacing: {
    xSmall: 'ls_xs',
    small: 'ls_sm',
    medium: 'ls_md',
    large: 'ls_lg',
    xLarge: 'ls_xl',
    xxLarge: 'ls_xxl'
  },
  decoration: {
    overLine: 'overline',
    lineThrough: 'line_through',
    underLine: 'underline'
  },
  decorationColor: {
    grayness: 'dc_grayness',
    whiteness: 'dc_whiteness',
    danger: 'dc_danger',
    success: 'dc_success',
    info: 'dc_info',
    lighter: 'dc_lighter',
    highlight: 'dc_highlight',
    darknight: 'dc_dark_knight'
  },
  indent: {
    small: 'textindent_sm',
    medium: 'textindent_md',
    large: 'textindent_lg'
  }
};