export default function isTouchDevice() {
  if ('ontouchstart' in window || navigator.maxTouchPoints > 0 || navigator.msMaxTouchPoints > 0) {
    /* browser with either Touch Events of Pointer Events
      running on touch-capable device */
    return true;
  }

  return false;
}