// import { CustomizeSkeleton } from '../../../customization-cornor';
// import { CalenderViewPropTypes } from '../../Components.manifest';
// import DateBox from '../datebox/DateBox-Behaviour';
// import CalenderViewImplementation from './CalenderView-Skeleton';
// function CalenderView(props){
//     let {customComponent,onSelect}=props
//     let renderProps={
//         handleSelect:e=>onSelect(e)
//     }
//     return(
//         CustomizeSkeleton(props,renderProps,CalenderViewImplementation,customComponent)
//     )
// }
// export default CalenderView
// CalenderView.propTypes = CalenderViewPropTypes();
// CalenderView.defaultProps = {
//   dataId: 'dateContainer',
//   needBorder: true,
//   DateBoxComponent:DateBox
// };
// CalenderView.docs={
//     componentGroup:'DateTime',
//     folderName:'DateWidget'
// }
import React from "react";
import SkeletonThemeWrapper from "../../../customization-cornor/skeletonCustomization";
export default (props => {
  let {
    onSelect
  } = props;
  let renderProps = {
    handleSelect: (dddd, mmmm, yyyy, day) => onSelect({
      date: dddd,
      month: mmmm,
      year: yyyy,
      day: day
    })
  };
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
});