function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import Header from "./Header";
import Body from "./Body";
import Footer from "./Footer";
import DialogBehaviour from "./Dialog.behaviour";
import DialogSkeleton from "./Dialog.skeleton";
import dialogPropTypes, { defaultProps } from "./Dialog.propTypes";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
export { Header, Body, Footer };
export default function Dialog(props) {
  return /*#__PURE__*/React.createElement(DialogBehaviour, _extends({}, props, {
    renderComponent: DialogSkeleton
  }));
}
Dialog.propTypes = dialogPropTypes;
Dialog.defaultProps = defaultProps;

if (false) {
  Dialog.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}